/*************************************************************

  seeker.m
  by Leechbite

  Controls the seeker mainly the temptext.

*************************************************************/

#include <lib/std.mi>
#include "utilities.m"
#include "attribs.m"

Global group scriptGroup;
Global text txtArtist, txtTitle, dummy;
Global string newTitle, newArtist;

System.onScriptLoaded() {
  initAttribs();

  scriptGroup = getScriptGroup();

  txtArtist = scriptGroup.getObject("artist");
  txtTitle = scriptGroup.getObject("title");
  dummy = scriptGroup.getObject("dummy.songticker");

  system.onTitleChange("");
}

System.onScriptUnloading() {
  return;
}

dummy.onTextChanged(string newt) {
  System.onTitleChange(newt);
}

System.onTitleChange(string newt) {
  newTitle = getPlayItemMetaDataString("title");
  newArtist = getPlayItemMetaDataString("artist");
  
  if (newTitle == "") newTitle = newt;
  if (newArtist == "") newArtist = "No Artist";
  
  if (onTempText()) {
    txtTitle.setText(newTitle);
    txtArtist.setText(newArtist);
  }
}

temptext_attrib.onDataChanged() {
  if (getData() == "") {
    txtTitle.setText(newTitle);
    txtArtist.setText(newArtist);
  } else {
    txtArtist.setText(getToken(getData() , "|", 0));
    txtTitle.setText(getToken(getData() , "|", 1));
  }
}

